#include <iostream>
#include <set>
#include <vector>
using namespace std;

long long proizvod(long long x) {
    long long p = 1;
    while (x > 0) {
        p *= (x % 10);
        x /= 10;
    }
    return p;
}

int main() {
    int t;
    cin >> t;
    vector<long long> rezultati;

    while (t--) {
        long long n;
        cin >> n;
        set<long long> proizvodi;
        for (long long i = 1; i <= n; i++) {
            proizvodi.insert(proizvod(i));
        }
        rezultati.push_back(proizvodi.size());
    }

    for (long long r : rezultati) {
        cout << r << '\n';
    }
}